%define oname FlightCrew

Summary: A C++, cross-platform, native code epub validator
Name: flightcrew
Version: 0.7.2
Release: %mkrel 11
Url: http://code.google.com/p/flightcrew/
Source0: http://flightcrew.googlecode.com/files/FlightCrew-%{version}-Code.zip
Patch1: 0001-add-versioning-information-to-the-shared-library.patch
Patch2: 0002-fix-building-as-a-shared-library-on-Unix.patch
Patch3: 0003-use-system-zlib-if-available.patch
Patch4: 0004-use-system-boost-libraries-if-available.patch
Patch5: 0005-fix-build-with-boost-1.48.patch
Patch6: 0006-use-system-xerces-c-if-available.patch
Patch7: 0007-install-FlightCrew-library-and-headers.patch
Patch8: 0008-don-t-build-googlemock-when-NO_TEST_EXE-is-specified.patch
Patch9: 0009-Add-a-FindFlightCrew.cmake-cmake-module.patch
Patch10: 0010-allow-building-XercesExtensions-as-a-shared-lib.patch
Patch11: 0011-allow-building-zipios-as-a-shared-lib.patch
Patch12: flightcrew-0.7.0-link.patch
License: GPLv3 and CC-BY-SA
Group: Office/Utilities
BuildRequires: cmake
BuildRequires: qt4-devel >= 4:4.6.0
BuildRequires: boost-devel
BuildRequires: zlib-devel
BuildRequires: libxerces-c-devel

%description
FlightCrew is a C++, cross-platform, native code epub validator. It is composed
of three parts:
  FlightCrew, the validation library
  FlightCrew-cli, the command-line front-end to the FlightCrew library
  FlightCrew-gui, the GUI front-end to the FlightCrew library

It was initially created for Sigil, the epub editor.

%package common
Summary: A C++, cross-platform, native code epub validator
Group:   Office/Utilities

%description common
FlightCrew is a C++, cross-platform, native code epub validator. It is composed of three parts:
  FlightCrew, the validation library
  FlightCrew-cli, the command-line front-end to the FlightCrew library
  FlightCrew-gui, the GUI front-end to the FlightCrew library

It was initially created for Sigil, the epub editor.

%package cli
Summary: command line tool for FlightCrew
Group:   Office/Utilities
Requires: %{name}-common = %version-%release

%description cli
FlightCrew is a C++, cross-platform, native code epub validator. This package
contains the command line tool for FlightCrew.

%package gui
Summary: command line tool for FlightCrew
Group:   Office/Utilities
Requires: %{name}-cli = %version-%release
Provides: flightcrew

%description gui
FlightCrew is a C++, cross-platform, native code epub validator. This package
contains the Qt4 graphical front-ed for FlightCrew.

%define libname %mklibname %name %version

%package -n %libname
Summary: Shared libs for %{name}

%description -n %libname
Shared libs for %{name}.

%package devel
Summary: Development files for %{name}
Requires: %libname = %{version}

%description devel
Development files for %{name}.

%prep
%setup -qcn %{oname}-%{version}-Code
%apply_patches

%build
%cmake -DBUILD_SHARED_FC=ON -DBUILD_SHARED_XE=ON -DNO_TEST_EXE=ON -DBUILD_SHARED_ZI=ON
%make

%install
%makeinstall_std -C build

%files common
%doc ChangeLog.txt COPYING.txt

%files cli
%{_bindir}/%{name}-cli

%files gui
%{_bindir}/%{name}-gui

%files -n %{libname}
%{_libdir}/*.so.%{version}

%files devel
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/cmake/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.7.2-11.mga4
+ Revision: 529410
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 fwang <fwang> 0.7.2-10.mga4
+ Revision: 451786
- rebuild for new boost

* Mon Jun 24 2013 fwang <fwang> 0.7.2-9.mga4
+ Revision: 446216
- build shared zi

* Mon Jun 24 2013 fwang <fwang> 0.7.2-8.mga4
+ Revision: 446212
- update file list
- build shared libs
- sync with fedora patches

* Mon Jun 24 2013 fwang <fwang> 0.7.2-7.mga4
+ Revision: 446205
- linkage fix
- build shared lib

* Wed Apr 10 2013 malo <malo> 0.7.2-6.mga3
+ Revision: 409449
- rebuild for boost 1.53

* Fri Jan 11 2013 umeabot <umeabot> 0.7.2-5.mga3
+ Revision: 350540
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Office/Other -> Office/Utilities

* Thu Dec 20 2012 fwang <fwang> 0.7.2-4.mga3
+ Revision: 333033
- update rpm group
- rebuild for new boost

* Thu Aug 02 2012 fwang <fwang> 0.7.2-3.mga3
+ Revision: 277822
- more system-libs and link fixes
- more patch
- fix if switch
- rebuild for new boost

* Wed May 30 2012 fwang <fwang> 0.7.2-2.mga3
+ Revision: 250099
- correct link against boost_system lib
- fix linkage
- rebuild for new boost

* Mon Nov 28 2011 fwang <fwang> 0.7.2-1.mga2
+ Revision: 173674
- new version 0.7.2

* Mon Nov 28 2011 fwang <fwang> 0.7.1-4.mga2
+ Revision: 173561
- rebuild for new boost
- disable check
- use cmake macro to detect boost
- rebuild for new boost

  + dmorgan <dmorgan>
    - Rebuild against new boost

* Thu Jan 27 2011 ahmad <ahmad> 0.7.1-1.mga1
+ Revision: 42009
- imported package flightcrew

